Bug 34746 - Image join scripts cannot be executed as first line is empty
Image join scripts cannot be executed as first line is empty
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image Desktop
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Lukas Walter
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-05 17:26 CEST by Alexander Kläser
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2014-05-05 17:26:03 CEST
Currently, the first line in the image join scripts is empty. Therefore the execution of them via ucc-download-image fails currently when executing them via subprocess.call([], shell=False):

> 05.05.14 17:31:32.577  MODULE      ( ERROR   ) : Could not run join script /usr/lib/univention-install/95ucc-2.0-ms1-thinclient-image.img.inst: [Errno 8] Exec format error
> 05.05.14 17:31:32.577  MODULE      ( ERROR   ) : ... ignoring
Comment 1 Moritz Muehlenhoff univentionstaff 2014-05-06 08:21:24 CEST
Apparantly this dates back to UCC 1.0; ucc-images.software-univention.de/download/ucc-images/95ucc-1.0-rev3-desktop-image.img.inst has the same problem.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-06 10:17:01 CEST
Fixed in ucc-image-toolkit 2.0.0-30

The thin client image on 10.200.3.90 is already updated, the build of the desktop image is running.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-06 11:27:27 CEST
For the QA you can use the images built on 10.200.3.90, the generated files are in the directory /var/lib/univention-client-boot.

The join scripts 95ucc-2.0-ms1-* should not have an empty line at the beginning.
Comment 4 Lukas Walter univentionstaff 2014-05-06 14:42:59 CEST
Newlines removed, changelog entry is fine -> VERFIED
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:50 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".